Package relaxngcc

# Class BuildError

java.lang.Object
relaxngcc.BuildError

public class BuildError extends Object

Author:
  okajima An error or warning detected in the parsing of grammar

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ERROR`
`static final int`
`WARNING`

## Constructor Summary

Constructors
Constructor
Description
`BuildError(int type, Locator loc, String msg)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ERROR

public static final int ERROR

See Also:
  - Constant Field Values

### WARNING

public static final int WARNING

See Also:
  - Constant Field Values

## Constructor Details

### BuildError

public BuildError(int type, Locator loc, String msg)

## Method Details

### getType

public int getType()

### toString

public String toString()

Overrides:
  `toString` in class `Object`